import { DirectoryServiceClient } from "./DirectoryServiceClient";
import { AcceptSharedDirectoryInput } from "./types/AcceptSharedDirectoryInput";
import { AcceptSharedDirectoryOutput } from "./types/AcceptSharedDirectoryOutput";
import { AddIpRoutesInput } from "./types/AddIpRoutesInput";
import { AddIpRoutesOutput } from "./types/AddIpRoutesOutput";
import { AddTagsToResourceInput } from "./types/AddTagsToResourceInput";
import { AddTagsToResourceOutput } from "./types/AddTagsToResourceOutput";
import { CancelSchemaExtensionInput } from "./types/CancelSchemaExtensionInput";
import { CancelSchemaExtensionOutput } from "./types/CancelSchemaExtensionOutput";
import { ConnectDirectoryInput } from "./types/ConnectDirectoryInput";
import { ConnectDirectoryOutput } from "./types/ConnectDirectoryOutput";
import { CreateAliasInput } from "./types/CreateAliasInput";
import { CreateAliasOutput } from "./types/CreateAliasOutput";
import { CreateComputerInput } from "./types/CreateComputerInput";
import { CreateComputerOutput } from "./types/CreateComputerOutput";
import { CreateConditionalForwarderInput } from "./types/CreateConditionalForwarderInput";
import { CreateConditionalForwarderOutput } from "./types/CreateConditionalForwarderOutput";
import { CreateDirectoryInput } from "./types/CreateDirectoryInput";
import { CreateDirectoryOutput } from "./types/CreateDirectoryOutput";
import { CreateLogSubscriptionInput } from "./types/CreateLogSubscriptionInput";
import { CreateLogSubscriptionOutput } from "./types/CreateLogSubscriptionOutput";
import { CreateMicrosoftADInput } from "./types/CreateMicrosoftADInput";
import { CreateMicrosoftADOutput } from "./types/CreateMicrosoftADOutput";
import { CreateSnapshotInput } from "./types/CreateSnapshotInput";
import { CreateSnapshotOutput } from "./types/CreateSnapshotOutput";
import { CreateTrustInput } from "./types/CreateTrustInput";
import { CreateTrustOutput } from "./types/CreateTrustOutput";
import { DeleteConditionalForwarderInput } from "./types/DeleteConditionalForwarderInput";
import { DeleteConditionalForwarderOutput } from "./types/DeleteConditionalForwarderOutput";
import { DeleteDirectoryInput } from "./types/DeleteDirectoryInput";
import { DeleteDirectoryOutput } from "./types/DeleteDirectoryOutput";
import { DeleteLogSubscriptionInput } from "./types/DeleteLogSubscriptionInput";
import { DeleteLogSubscriptionOutput } from "./types/DeleteLogSubscriptionOutput";
import { DeleteSnapshotInput } from "./types/DeleteSnapshotInput";
import { DeleteSnapshotOutput } from "./types/DeleteSnapshotOutput";
import { DeleteTrustInput } from "./types/DeleteTrustInput";
import { DeleteTrustOutput } from "./types/DeleteTrustOutput";
import { DeregisterEventTopicInput } from "./types/DeregisterEventTopicInput";
import { DeregisterEventTopicOutput } from "./types/DeregisterEventTopicOutput";
import { DescribeConditionalForwardersInput } from "./types/DescribeConditionalForwardersInput";
import { DescribeConditionalForwardersOutput } from "./types/DescribeConditionalForwardersOutput";
import { DescribeDirectoriesInput } from "./types/DescribeDirectoriesInput";
import { DescribeDirectoriesOutput } from "./types/DescribeDirectoriesOutput";
import { DescribeDomainControllersInput } from "./types/DescribeDomainControllersInput";
import { DescribeDomainControllersOutput } from "./types/DescribeDomainControllersOutput";
import { DescribeEventTopicsInput } from "./types/DescribeEventTopicsInput";
import { DescribeEventTopicsOutput } from "./types/DescribeEventTopicsOutput";
import { DescribeSharedDirectoriesInput } from "./types/DescribeSharedDirectoriesInput";
import { DescribeSharedDirectoriesOutput } from "./types/DescribeSharedDirectoriesOutput";
import { DescribeSnapshotsInput } from "./types/DescribeSnapshotsInput";
import { DescribeSnapshotsOutput } from "./types/DescribeSnapshotsOutput";
import { DescribeTrustsInput } from "./types/DescribeTrustsInput";
import { DescribeTrustsOutput } from "./types/DescribeTrustsOutput";
import { DisableRadiusInput } from "./types/DisableRadiusInput";
import { DisableRadiusOutput } from "./types/DisableRadiusOutput";
import { DisableSsoInput } from "./types/DisableSsoInput";
import { DisableSsoOutput } from "./types/DisableSsoOutput";
import { EnableRadiusInput } from "./types/EnableRadiusInput";
import { EnableRadiusOutput } from "./types/EnableRadiusOutput";
import { EnableSsoInput } from "./types/EnableSsoInput";
import { EnableSsoOutput } from "./types/EnableSsoOutput";
import { GetDirectoryLimitsInput } from "./types/GetDirectoryLimitsInput";
import { GetDirectoryLimitsOutput } from "./types/GetDirectoryLimitsOutput";
import { GetSnapshotLimitsInput } from "./types/GetSnapshotLimitsInput";
import { GetSnapshotLimitsOutput } from "./types/GetSnapshotLimitsOutput";
import { ListIpRoutesInput } from "./types/ListIpRoutesInput";
import { ListIpRoutesOutput } from "./types/ListIpRoutesOutput";
import { ListLogSubscriptionsInput } from "./types/ListLogSubscriptionsInput";
import { ListLogSubscriptionsOutput } from "./types/ListLogSubscriptionsOutput";
import { ListSchemaExtensionsInput } from "./types/ListSchemaExtensionsInput";
import { ListSchemaExtensionsOutput } from "./types/ListSchemaExtensionsOutput";
import { ListTagsForResourceInput } from "./types/ListTagsForResourceInput";
import { ListTagsForResourceOutput } from "./types/ListTagsForResourceOutput";
import { RegisterEventTopicInput } from "./types/RegisterEventTopicInput";
import { RegisterEventTopicOutput } from "./types/RegisterEventTopicOutput";
import { RejectSharedDirectoryInput } from "./types/RejectSharedDirectoryInput";
import { RejectSharedDirectoryOutput } from "./types/RejectSharedDirectoryOutput";
import { RemoveIpRoutesInput } from "./types/RemoveIpRoutesInput";
import { RemoveIpRoutesOutput } from "./types/RemoveIpRoutesOutput";
import { RemoveTagsFromResourceInput } from "./types/RemoveTagsFromResourceInput";
import { RemoveTagsFromResourceOutput } from "./types/RemoveTagsFromResourceOutput";
import { ResetUserPasswordInput } from "./types/ResetUserPasswordInput";
import { ResetUserPasswordOutput } from "./types/ResetUserPasswordOutput";
import { RestoreFromSnapshotInput } from "./types/RestoreFromSnapshotInput";
import { RestoreFromSnapshotOutput } from "./types/RestoreFromSnapshotOutput";
import { ShareDirectoryInput } from "./types/ShareDirectoryInput";
import { ShareDirectoryOutput } from "./types/ShareDirectoryOutput";
import { StartSchemaExtensionInput } from "./types/StartSchemaExtensionInput";
import { StartSchemaExtensionOutput } from "./types/StartSchemaExtensionOutput";
import { UnshareDirectoryInput } from "./types/UnshareDirectoryInput";
import { UnshareDirectoryOutput } from "./types/UnshareDirectoryOutput";
import { UpdateConditionalForwarderInput } from "./types/UpdateConditionalForwarderInput";
import { UpdateConditionalForwarderOutput } from "./types/UpdateConditionalForwarderOutput";
import { UpdateNumberOfDomainControllersInput } from "./types/UpdateNumberOfDomainControllersInput";
import { UpdateNumberOfDomainControllersOutput } from "./types/UpdateNumberOfDomainControllersOutput";
import { UpdateRadiusInput } from "./types/UpdateRadiusInput";
import { UpdateRadiusOutput } from "./types/UpdateRadiusOutput";
import { UpdateTrustInput } from "./types/UpdateTrustInput";
import { UpdateTrustOutput } from "./types/UpdateTrustOutput";
import { VerifyTrustInput } from "./types/VerifyTrustInput";
import { VerifyTrustOutput } from "./types/VerifyTrustOutput";
export declare class DirectoryService extends DirectoryServiceClient {
    /**
     * <p>Accepts a directory sharing request that was sent from the directory owner account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {DirectoryAlreadySharedException} <p>The specified directory has already been shared with this AWS account.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    acceptSharedDirectory(args: AcceptSharedDirectoryInput): Promise<AcceptSharedDirectoryOutput>;
    acceptSharedDirectory(args: AcceptSharedDirectoryInput, cb: (err: any, data?: AcceptSharedDirectoryOutput) => void): void;
    /**
     * <p>If the DNS server for your on-premises domain uses a publicly addressable IP address, you must add a CIDR address block to correctly route traffic to and from your Microsoft AD on Amazon Web Services. <i>AddIpRoutes</i> adds this address block. You can also use <i>AddIpRoutes</i> to facilitate routing traffic that uses public IP ranges from your Microsoft AD on AWS to a peer VPC. </p> <p>Before you call <i>AddIpRoutes</i>, ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the <i>AddIpRoutes</i> operation, see <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/UsingWithDS_IAM_ResourcePermissions.html">AWS Directory Service API Permissions: Actions, Resources, and Conditions Reference</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {EntityAlreadyExistsException} <p>The specified entity already exists.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {IpRouteLimitExceededException} <p>The maximum allowed number of IP addresses was exceeded. The default limit is 100 IP address blocks.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    addIpRoutes(args: AddIpRoutesInput): Promise<AddIpRoutesOutput>;
    addIpRoutes(args: AddIpRoutesInput, cb: (err: any, data?: AddIpRoutesOutput) => void): void;
    /**
     * <p>Adds or overwrites one or more tags for the specified directory. Each directory can have a maximum of 50 tags. Each tag consists of a key and optional value. Tag keys must be unique to each resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {TagLimitExceededException} <p>The maximum allowed number of tags was exceeded.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    addTagsToResource(args: AddTagsToResourceInput): Promise<AddTagsToResourceOutput>;
    addTagsToResource(args: AddTagsToResourceInput, cb: (err: any, data?: AddTagsToResourceOutput) => void): void;
    /**
     * <p>Cancels an in-progress schema extension to a Microsoft AD directory. Once a schema extension has started replicating to all domain controllers, the task can no longer be canceled. A schema extension can be canceled during any of the following states; <code>Initializing</code>, <code>CreatingSnapshot</code>, and <code>UpdatingSchema</code>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    cancelSchemaExtension(args: CancelSchemaExtensionInput): Promise<CancelSchemaExtensionOutput>;
    cancelSchemaExtension(args: CancelSchemaExtensionInput, cb: (err: any, data?: CancelSchemaExtensionOutput) => void): void;
    /**
     * <p>Creates an AD Connector to connect to an on-premises directory.</p> <p>Before you call <code>ConnectDirectory</code>, ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the <code>ConnectDirectory</code> operation, see <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/UsingWithDS_IAM_ResourcePermissions.html">AWS Directory Service API Permissions: Actions, Resources, and Conditions Reference</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryLimitExceededException} <p>The maximum number of directories in the region has been reached. You can use the <a>GetDirectoryLimits</a> operation to determine your directory limits in the region.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    connectDirectory(args: ConnectDirectoryInput): Promise<ConnectDirectoryOutput>;
    connectDirectory(args: ConnectDirectoryInput, cb: (err: any, data?: ConnectDirectoryOutput) => void): void;
    /**
     * <p>Creates an alias for a directory and assigns the alias to the directory. The alias is used to construct the access URL for the directory, such as <code>http://&lt;alias&gt;.awsapps.com</code>.</p> <important> <p>After an alias has been created, it cannot be deleted or reused, so this operation should only be used when absolutely necessary.</p> </important>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityAlreadyExistsException} <p>The specified entity already exists.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createAlias(args: CreateAliasInput): Promise<CreateAliasOutput>;
    createAlias(args: CreateAliasInput, cb: (err: any, data?: CreateAliasOutput) => void): void;
    /**
     * <p>Creates a computer account in the specified directory, and joins the computer to the directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {AuthenticationFailedException} <p>An authentication error occurred.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {EntityAlreadyExistsException} <p>The specified entity already exists.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createComputer(args: CreateComputerInput): Promise<CreateComputerOutput>;
    createComputer(args: CreateComputerInput, cb: (err: any, data?: CreateComputerOutput) => void): void;
    /**
     * <p>Creates a conditional forwarder associated with your AWS directory. Conditional forwarders are required in order to set up a trust relationship with another domain. The conditional forwarder points to the trusted domain.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityAlreadyExistsException} <p>The specified entity already exists.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createConditionalForwarder(args: CreateConditionalForwarderInput): Promise<CreateConditionalForwarderOutput>;
    createConditionalForwarder(args: CreateConditionalForwarderInput, cb: (err: any, data?: CreateConditionalForwarderOutput) => void): void;
    /**
     * <p>Creates a Simple AD directory.</p> <p>Before you call <code>CreateDirectory</code>, ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the <code>CreateDirectory</code> operation, see <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/UsingWithDS_IAM_ResourcePermissions.html">AWS Directory Service API Permissions: Actions, Resources, and Conditions Reference</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryLimitExceededException} <p>The maximum number of directories in the region has been reached. You can use the <a>GetDirectoryLimits</a> operation to determine your directory limits in the region.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createDirectory(args: CreateDirectoryInput): Promise<CreateDirectoryOutput>;
    createDirectory(args: CreateDirectoryInput, cb: (err: any, data?: CreateDirectoryOutput) => void): void;
    /**
     * <p>Creates a subscription to forward real time Directory Service domain controller security logs to the specified CloudWatch log group in your AWS account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityAlreadyExistsException} <p>The specified entity already exists.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {InsufficientPermissionsException} <p>The account does not have sufficient permission to perform the operation.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createLogSubscription(args: CreateLogSubscriptionInput): Promise<CreateLogSubscriptionOutput>;
    createLogSubscription(args: CreateLogSubscriptionInput, cb: (err: any, data?: CreateLogSubscriptionOutput) => void): void;
    /**
     * <p>Creates an AWS Managed Microsoft AD directory.</p> <p>Before you call <i>CreateMicrosoftAD</i>, ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the <i>CreateMicrosoftAD</i> operation, see <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/UsingWithDS_IAM_ResourcePermissions.html">AWS Directory Service API Permissions: Actions, Resources, and Conditions Reference</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryLimitExceededException} <p>The maximum number of directories in the region has been reached. You can use the <a>GetDirectoryLimits</a> operation to determine your directory limits in the region.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createMicrosoftAD(args: CreateMicrosoftADInput): Promise<CreateMicrosoftADOutput>;
    createMicrosoftAD(args: CreateMicrosoftADInput, cb: (err: any, data?: CreateMicrosoftADOutput) => void): void;
    /**
     * <p>Creates a snapshot of a Simple AD or Microsoft AD directory in the AWS cloud.</p> <note> <p>You cannot take snapshots of AD Connector directories.</p> </note>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {SnapshotLimitExceededException} <p>The maximum number of manual snapshots for the directory has been reached. You can use the <a>GetSnapshotLimits</a> operation to determine the snapshot limits for a directory.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createSnapshot(args: CreateSnapshotInput): Promise<CreateSnapshotOutput>;
    createSnapshot(args: CreateSnapshotInput, cb: (err: any, data?: CreateSnapshotOutput) => void): void;
    /**
     * <p>AWS Directory Service for Microsoft Active Directory allows you to configure trust relationships. For example, you can establish a trust between your AWS Managed Microsoft AD directory, and your existing on-premises Microsoft Active Directory. This would allow you to provide users and groups access to resources in either domain, with a single set of credentials.</p> <p>This action initiates the creation of the AWS side of a trust relationship between an AWS Managed Microsoft AD directory and an external domain. You can create either a forest trust or an external trust.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityAlreadyExistsException} <p>The specified entity already exists.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createTrust(args: CreateTrustInput): Promise<CreateTrustOutput>;
    createTrust(args: CreateTrustInput, cb: (err: any, data?: CreateTrustOutput) => void): void;
    /**
     * <p>Deletes a conditional forwarder that has been set up for your AWS directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteConditionalForwarder(args: DeleteConditionalForwarderInput): Promise<DeleteConditionalForwarderOutput>;
    deleteConditionalForwarder(args: DeleteConditionalForwarderInput, cb: (err: any, data?: DeleteConditionalForwarderOutput) => void): void;
    /**
     * <p>Deletes an AWS Directory Service directory.</p> <p>Before you call <code>DeleteDirectory</code>, ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the <code>DeleteDirectory</code> operation, see <a href="http://docs.aws.amazon.com/directoryservice/latest/admin-guide/UsingWithDS_IAM_ResourcePermissions.html">AWS Directory Service API Permissions: Actions, Resources, and Conditions Reference</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteDirectory(args: DeleteDirectoryInput): Promise<DeleteDirectoryOutput>;
    deleteDirectory(args: DeleteDirectoryInput, cb: (err: any, data?: DeleteDirectoryOutput) => void): void;
    /**
     * <p>Deletes the specified log subscription.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteLogSubscription(args: DeleteLogSubscriptionInput): Promise<DeleteLogSubscriptionOutput>;
    deleteLogSubscription(args: DeleteLogSubscriptionInput, cb: (err: any, data?: DeleteLogSubscriptionOutput) => void): void;
    /**
     * <p>Deletes a directory snapshot.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteSnapshot(args: DeleteSnapshotInput): Promise<DeleteSnapshotOutput>;
    deleteSnapshot(args: DeleteSnapshotInput, cb: (err: any, data?: DeleteSnapshotOutput) => void): void;
    /**
     * <p>Deletes an existing trust relationship between your AWS Managed Microsoft AD directory and an external domain.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteTrust(args: DeleteTrustInput): Promise<DeleteTrustOutput>;
    deleteTrust(args: DeleteTrustInput, cb: (err: any, data?: DeleteTrustOutput) => void): void;
    /**
     * <p>Removes the specified directory as a publisher to the specified SNS topic.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deregisterEventTopic(args: DeregisterEventTopicInput): Promise<DeregisterEventTopicOutput>;
    deregisterEventTopic(args: DeregisterEventTopicInput, cb: (err: any, data?: DeregisterEventTopicOutput) => void): void;
    /**
     * <p>Obtains information about the conditional forwarders for this account.</p> <p>If no input parameters are provided for RemoteDomainNames, this request describes all conditional forwarders for the specified directory ID.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeConditionalForwarders(args: DescribeConditionalForwardersInput): Promise<DescribeConditionalForwardersOutput>;
    describeConditionalForwarders(args: DescribeConditionalForwardersInput, cb: (err: any, data?: DescribeConditionalForwardersOutput) => void): void;
    /**
     * <p>Obtains information about the directories that belong to this account.</p> <p>You can retrieve information about specific directories by passing the directory identifiers in the <code>DirectoryIds</code> parameter. Otherwise, all directories that belong to the current account are returned.</p> <p>This operation supports pagination with the use of the <code>NextToken</code> request and response parameters. If more results are available, the <code>DescribeDirectoriesResult.NextToken</code> member contains a token that you pass in the next call to <a>DescribeDirectories</a> to retrieve the next set of items.</p> <p>You can also specify a maximum number of return results with the <code>Limit</code> parameter.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeDirectories(args: DescribeDirectoriesInput): Promise<DescribeDirectoriesOutput>;
    describeDirectories(args: DescribeDirectoriesInput, cb: (err: any, data?: DescribeDirectoriesOutput) => void): void;
    /**
     * <p>Provides information about any domain controllers in your directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeDomainControllers(args: DescribeDomainControllersInput): Promise<DescribeDomainControllersOutput>;
    describeDomainControllers(args: DescribeDomainControllersInput, cb: (err: any, data?: DescribeDomainControllersOutput) => void): void;
    /**
     * <p>Obtains information about which SNS topics receive status messages from the specified directory.</p> <p>If no input parameters are provided, such as DirectoryId or TopicName, this request describes all of the associations in the account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeEventTopics(args: DescribeEventTopicsInput): Promise<DescribeEventTopicsOutput>;
    describeEventTopics(args: DescribeEventTopicsInput, cb: (err: any, data?: DescribeEventTopicsOutput) => void): void;
    /**
     * <p>Returns the shared directories in your account. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeSharedDirectories(args: DescribeSharedDirectoriesInput): Promise<DescribeSharedDirectoriesOutput>;
    describeSharedDirectories(args: DescribeSharedDirectoriesInput, cb: (err: any, data?: DescribeSharedDirectoriesOutput) => void): void;
    /**
     * <p>Obtains information about the directory snapshots that belong to this account.</p> <p>This operation supports pagination with the use of the <i>NextToken</i> request and response parameters. If more results are available, the <i>DescribeSnapshots.NextToken</i> member contains a token that you pass in the next call to <a>DescribeSnapshots</a> to retrieve the next set of items.</p> <p>You can also specify a maximum number of return results with the <i>Limit</i> parameter.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeSnapshots(args: DescribeSnapshotsInput): Promise<DescribeSnapshotsOutput>;
    describeSnapshots(args: DescribeSnapshotsInput, cb: (err: any, data?: DescribeSnapshotsOutput) => void): void;
    /**
     * <p>Obtains information about the trust relationships for this account.</p> <p>If no input parameters are provided, such as DirectoryId or TrustIds, this request describes all the trust relationships belonging to the account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeTrusts(args: DescribeTrustsInput): Promise<DescribeTrustsOutput>;
    describeTrusts(args: DescribeTrustsInput, cb: (err: any, data?: DescribeTrustsOutput) => void): void;
    /**
     * <p>Disables multi-factor authentication (MFA) with the Remote Authentication Dial In User Service (RADIUS) server for an AD Connector or Microsoft AD directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disableRadius(args: DisableRadiusInput): Promise<DisableRadiusOutput>;
    disableRadius(args: DisableRadiusInput, cb: (err: any, data?: DisableRadiusOutput) => void): void;
    /**
     * <p>Disables single-sign on for a directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InsufficientPermissionsException} <p>The account does not have sufficient permission to perform the operation.</p>
     *   - {AuthenticationFailedException} <p>An authentication error occurred.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disableSso(args: DisableSsoInput): Promise<DisableSsoOutput>;
    disableSso(args: DisableSsoInput, cb: (err: any, data?: DisableSsoOutput) => void): void;
    /**
     * <p>Enables multi-factor authentication (MFA) with the Remote Authentication Dial In User Service (RADIUS) server for an AD Connector or Microsoft AD directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {EntityAlreadyExistsException} <p>The specified entity already exists.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    enableRadius(args: EnableRadiusInput): Promise<EnableRadiusOutput>;
    enableRadius(args: EnableRadiusInput, cb: (err: any, data?: EnableRadiusOutput) => void): void;
    /**
     * <p>Enables single sign-on for a directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InsufficientPermissionsException} <p>The account does not have sufficient permission to perform the operation.</p>
     *   - {AuthenticationFailedException} <p>An authentication error occurred.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    enableSso(args: EnableSsoInput): Promise<EnableSsoOutput>;
    enableSso(args: EnableSsoInput, cb: (err: any, data?: EnableSsoOutput) => void): void;
    /**
     * <p>Obtains directory limit information for the current region.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getDirectoryLimits(args: GetDirectoryLimitsInput): Promise<GetDirectoryLimitsOutput>;
    getDirectoryLimits(args: GetDirectoryLimitsInput, cb: (err: any, data?: GetDirectoryLimitsOutput) => void): void;
    /**
     * <p>Obtains the manual snapshot limits for a directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getSnapshotLimits(args: GetSnapshotLimitsInput): Promise<GetSnapshotLimitsOutput>;
    getSnapshotLimits(args: GetSnapshotLimitsInput, cb: (err: any, data?: GetSnapshotLimitsOutput) => void): void;
    /**
     * <p>Lists the address blocks that you have added to a directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listIpRoutes(args: ListIpRoutesInput): Promise<ListIpRoutesOutput>;
    listIpRoutes(args: ListIpRoutesInput, cb: (err: any, data?: ListIpRoutesOutput) => void): void;
    /**
     * <p>Lists the active log subscriptions for the AWS account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listLogSubscriptions(args: ListLogSubscriptionsInput): Promise<ListLogSubscriptionsOutput>;
    listLogSubscriptions(args: ListLogSubscriptionsInput, cb: (err: any, data?: ListLogSubscriptionsOutput) => void): void;
    /**
     * <p>Lists all schema extensions applied to a Microsoft AD Directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listSchemaExtensions(args: ListSchemaExtensionsInput): Promise<ListSchemaExtensionsOutput>;
    listSchemaExtensions(args: ListSchemaExtensionsInput, cb: (err: any, data?: ListSchemaExtensionsOutput) => void): void;
    /**
     * <p>Lists all tags on a directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidNextTokenException} <p>The <code>NextToken</code> value is not valid.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listTagsForResource(args: ListTagsForResourceInput): Promise<ListTagsForResourceOutput>;
    listTagsForResource(args: ListTagsForResourceInput, cb: (err: any, data?: ListTagsForResourceOutput) => void): void;
    /**
     * <p>Associates a directory with an SNS topic. This establishes the directory as a publisher to the specified SNS topic. You can then receive email or text (SMS) messages when the status of your directory changes. You get notified if your directory goes from an Active status to an Impaired or Inoperable status. You also receive a notification when the directory returns to an Active status.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    registerEventTopic(args: RegisterEventTopicInput): Promise<RegisterEventTopicOutput>;
    registerEventTopic(args: RegisterEventTopicInput, cb: (err: any, data?: RegisterEventTopicOutput) => void): void;
    /**
     * <p>Rejects a directory sharing request that was sent from the directory owner account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {DirectoryAlreadySharedException} <p>The specified directory has already been shared with this AWS account.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    rejectSharedDirectory(args: RejectSharedDirectoryInput): Promise<RejectSharedDirectoryOutput>;
    rejectSharedDirectory(args: RejectSharedDirectoryInput, cb: (err: any, data?: RejectSharedDirectoryOutput) => void): void;
    /**
     * <p>Removes IP address blocks from a directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    removeIpRoutes(args: RemoveIpRoutesInput): Promise<RemoveIpRoutesOutput>;
    removeIpRoutes(args: RemoveIpRoutesInput, cb: (err: any, data?: RemoveIpRoutesOutput) => void): void;
    /**
     * <p>Removes tags from a directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    removeTagsFromResource(args: RemoveTagsFromResourceInput): Promise<RemoveTagsFromResourceOutput>;
    removeTagsFromResource(args: RemoveTagsFromResourceInput, cb: (err: any, data?: RemoveTagsFromResourceOutput) => void): void;
    /**
     * <p>Resets the password for any user in your AWS Managed Microsoft AD or Simple AD directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {UserDoesNotExistException} <p>The user provided a username that does not exist in your directory.</p>
     *   - {InvalidPasswordException} <p>The new password provided by the user does not meet the password complexity requirements defined in your directory.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    resetUserPassword(args: ResetUserPasswordInput): Promise<ResetUserPasswordOutput>;
    resetUserPassword(args: ResetUserPasswordInput, cb: (err: any, data?: ResetUserPasswordOutput) => void): void;
    /**
     * <p>Restores a directory using an existing directory snapshot.</p> <p>When you restore a directory from a snapshot, any changes made to the directory after the snapshot date are overwritten.</p> <p>This action returns as soon as the restore operation is initiated. You can monitor the progress of the restore operation by calling the <a>DescribeDirectories</a> operation with the directory identifier. When the <b>DirectoryDescription.Stage</b> value changes to <code>Active</code>, the restore operation is complete.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    restoreFromSnapshot(args: RestoreFromSnapshotInput): Promise<RestoreFromSnapshotOutput>;
    restoreFromSnapshot(args: RestoreFromSnapshotInput, cb: (err: any, data?: RestoreFromSnapshotOutput) => void): void;
    /**
     * <p>Shares a specified directory (<code>DirectoryId</code>) in your AWS account (directory owner) with another AWS account (directory consumer). With this operation you can use your directory from any AWS account and from any Amazon VPC within an AWS Region.</p> <p>When you share your AWS Managed Microsoft AD directory, AWS Directory Service creates a shared directory in the directory consumer account. This shared directory contains the metadata to provide access to the directory within the directory owner account. The shared directory is visible in all VPCs in the directory consumer account.</p> <p>The <code>ShareMethod</code> parameter determines whether the specified directory can be shared between AWS accounts inside the same AWS organization (<code>ORGANIZATIONS</code>). It also determines whether you can share the directory with any other AWS account either inside or outside of the organization (<code>HANDSHAKE</code>).</p> <p>The <code>ShareNotes</code> parameter is only used when <code>HANDSHAKE</code> is called, which sends a directory sharing request to the directory consumer. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryAlreadySharedException} <p>The specified directory has already been shared with this AWS account.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidTargetException} <p>The specified shared target is not valid.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ShareLimitExceededException} <p>The maximum number of AWS accounts that you can share with this directory has been reached.</p>
     *   - {OrganizationsException} <p>Exception encountered while trying to access your AWS organization.</p>
     *   - {AccessDeniedException} <p>You do not have sufficient access to perform this action.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    shareDirectory(args: ShareDirectoryInput): Promise<ShareDirectoryOutput>;
    shareDirectory(args: ShareDirectoryInput, cb: (err: any, data?: ShareDirectoryOutput) => void): void;
    /**
     * <p>Applies a schema extension to a Microsoft AD directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {SnapshotLimitExceededException} <p>The maximum number of manual snapshots for the directory has been reached. You can use the <a>GetSnapshotLimits</a> operation to determine the snapshot limits for a directory.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    startSchemaExtension(args: StartSchemaExtensionInput): Promise<StartSchemaExtensionOutput>;
    startSchemaExtension(args: StartSchemaExtensionInput, cb: (err: any, data?: StartSchemaExtensionOutput) => void): void;
    /**
     * <p>Stops the directory sharing between the directory owner and consumer accounts. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidTargetException} <p>The specified shared target is not valid.</p>
     *   - {DirectoryNotSharedException} <p>The specified directory has not been shared with this AWS account.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    unshareDirectory(args: UnshareDirectoryInput): Promise<UnshareDirectoryOutput>;
    unshareDirectory(args: UnshareDirectoryInput, cb: (err: any, data?: UnshareDirectoryOutput) => void): void;
    /**
     * <p>Updates a conditional forwarder that has been set up for your AWS directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateConditionalForwarder(args: UpdateConditionalForwarderInput): Promise<UpdateConditionalForwarderOutput>;
    updateConditionalForwarder(args: UpdateConditionalForwarderInput, cb: (err: any, data?: UpdateConditionalForwarderOutput) => void): void;
    /**
     * <p>Adds or removes domain controllers to or from the directory. Based on the difference between current value and new value (provided through this API call), domain controllers will be added or removed. It may take up to 45 minutes for any new domain controllers to become fully active once the requested number of domain controllers is updated. During this time, you cannot make another update request.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {DirectoryUnavailableException} <p>The specified directory is unavailable or could not be found.</p>
     *   - {DomainControllerLimitExceededException} <p>The maximum allowed number of domain controllers per directory was exceeded. The default limit per directory is 20 domain controllers.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateNumberOfDomainControllers(args: UpdateNumberOfDomainControllersInput): Promise<UpdateNumberOfDomainControllersOutput>;
    updateNumberOfDomainControllers(args: UpdateNumberOfDomainControllersInput, cb: (err: any, data?: UpdateNumberOfDomainControllersOutput) => void): void;
    /**
     * <p>Updates the Remote Authentication Dial In User Service (RADIUS) server information for an AD Connector or Microsoft AD directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateRadius(args: UpdateRadiusInput): Promise<UpdateRadiusOutput>;
    updateRadius(args: UpdateRadiusInput, cb: (err: any, data?: UpdateRadiusOutput) => void): void;
    /**
     * <p>Updates the trust that has been set up between your AWS Managed Microsoft AD directory and an on-premises Active Directory.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateTrust(args: UpdateTrustInput): Promise<UpdateTrustOutput>;
    updateTrust(args: UpdateTrustInput, cb: (err: any, data?: UpdateTrustOutput) => void): void;
    /**
     * <p>AWS Directory Service for Microsoft Active Directory allows you to configure and verify trust relationships.</p> <p>This action verifies a trust relationship between your AWS Managed Microsoft AD directory and an external domain.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityDoesNotExistException} <p>The specified entity could not be found.</p>
     *   - {InvalidParameterException} <p>One or more parameters are not valid.</p>
     *   - {ClientException} <p>A client exception has occurred.</p>
     *   - {ServiceException} <p>An exception has occurred in AWS Directory Service.</p>
     *   - {UnsupportedOperationException} <p>The operation is not supported.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    verifyTrust(args: VerifyTrustInput): Promise<VerifyTrustOutput>;
    verifyTrust(args: VerifyTrustInput, cb: (err: any, data?: VerifyTrustOutput) => void): void;
}
