"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var DirectoryServiceClient_1 = require("./DirectoryServiceClient");
var AcceptSharedDirectoryCommand_1 = require("./commands/AcceptSharedDirectoryCommand");
var AddIpRoutesCommand_1 = require("./commands/AddIpRoutesCommand");
var AddTagsToResourceCommand_1 = require("./commands/AddTagsToResourceCommand");
var CancelSchemaExtensionCommand_1 = require("./commands/CancelSchemaExtensionCommand");
var ConnectDirectoryCommand_1 = require("./commands/ConnectDirectoryCommand");
var CreateAliasCommand_1 = require("./commands/CreateAliasCommand");
var CreateComputerCommand_1 = require("./commands/CreateComputerCommand");
var CreateConditionalForwarderCommand_1 = require("./commands/CreateConditionalForwarderCommand");
var CreateDirectoryCommand_1 = require("./commands/CreateDirectoryCommand");
var CreateLogSubscriptionCommand_1 = require("./commands/CreateLogSubscriptionCommand");
var CreateMicrosoftADCommand_1 = require("./commands/CreateMicrosoftADCommand");
var CreateSnapshotCommand_1 = require("./commands/CreateSnapshotCommand");
var CreateTrustCommand_1 = require("./commands/CreateTrustCommand");
var DeleteConditionalForwarderCommand_1 = require("./commands/DeleteConditionalForwarderCommand");
var DeleteDirectoryCommand_1 = require("./commands/DeleteDirectoryCommand");
var DeleteLogSubscriptionCommand_1 = require("./commands/DeleteLogSubscriptionCommand");
var DeleteSnapshotCommand_1 = require("./commands/DeleteSnapshotCommand");
var DeleteTrustCommand_1 = require("./commands/DeleteTrustCommand");
var DeregisterEventTopicCommand_1 = require("./commands/DeregisterEventTopicCommand");
var DescribeConditionalForwardersCommand_1 = require("./commands/DescribeConditionalForwardersCommand");
var DescribeDirectoriesCommand_1 = require("./commands/DescribeDirectoriesCommand");
var DescribeDomainControllersCommand_1 = require("./commands/DescribeDomainControllersCommand");
var DescribeEventTopicsCommand_1 = require("./commands/DescribeEventTopicsCommand");
var DescribeSharedDirectoriesCommand_1 = require("./commands/DescribeSharedDirectoriesCommand");
var DescribeSnapshotsCommand_1 = require("./commands/DescribeSnapshotsCommand");
var DescribeTrustsCommand_1 = require("./commands/DescribeTrustsCommand");
var DisableRadiusCommand_1 = require("./commands/DisableRadiusCommand");
var DisableSsoCommand_1 = require("./commands/DisableSsoCommand");
var EnableRadiusCommand_1 = require("./commands/EnableRadiusCommand");
var EnableSsoCommand_1 = require("./commands/EnableSsoCommand");
var GetDirectoryLimitsCommand_1 = require("./commands/GetDirectoryLimitsCommand");
var GetSnapshotLimitsCommand_1 = require("./commands/GetSnapshotLimitsCommand");
var ListIpRoutesCommand_1 = require("./commands/ListIpRoutesCommand");
var ListLogSubscriptionsCommand_1 = require("./commands/ListLogSubscriptionsCommand");
var ListSchemaExtensionsCommand_1 = require("./commands/ListSchemaExtensionsCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var RegisterEventTopicCommand_1 = require("./commands/RegisterEventTopicCommand");
var RejectSharedDirectoryCommand_1 = require("./commands/RejectSharedDirectoryCommand");
var RemoveIpRoutesCommand_1 = require("./commands/RemoveIpRoutesCommand");
var RemoveTagsFromResourceCommand_1 = require("./commands/RemoveTagsFromResourceCommand");
var ResetUserPasswordCommand_1 = require("./commands/ResetUserPasswordCommand");
var RestoreFromSnapshotCommand_1 = require("./commands/RestoreFromSnapshotCommand");
var ShareDirectoryCommand_1 = require("./commands/ShareDirectoryCommand");
var StartSchemaExtensionCommand_1 = require("./commands/StartSchemaExtensionCommand");
var UnshareDirectoryCommand_1 = require("./commands/UnshareDirectoryCommand");
var UpdateConditionalForwarderCommand_1 = require("./commands/UpdateConditionalForwarderCommand");
var UpdateNumberOfDomainControllersCommand_1 = require("./commands/UpdateNumberOfDomainControllersCommand");
var UpdateRadiusCommand_1 = require("./commands/UpdateRadiusCommand");
var UpdateTrustCommand_1 = require("./commands/UpdateTrustCommand");
var VerifyTrustCommand_1 = require("./commands/VerifyTrustCommand");
var DirectoryService = /** @class */ (function (_super) {
    tslib_1.__extends(DirectoryService, _super);
    function DirectoryService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DirectoryService.prototype.acceptSharedDirectory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AcceptSharedDirectoryCommand_1.AcceptSharedDirectoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.addIpRoutes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddIpRoutesCommand_1.AddIpRoutesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.addTagsToResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsToResourceCommand_1.AddTagsToResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.cancelSchemaExtension = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelSchemaExtensionCommand_1.CancelSchemaExtensionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.connectDirectory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ConnectDirectoryCommand_1.ConnectDirectoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createAlias = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAliasCommand_1.CreateAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createComputer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateComputerCommand_1.CreateComputerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createConditionalForwarder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateConditionalForwarderCommand_1.CreateConditionalForwarderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createDirectory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDirectoryCommand_1.CreateDirectoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createLogSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLogSubscriptionCommand_1.CreateLogSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createMicrosoftAD = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateMicrosoftADCommand_1.CreateMicrosoftADCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateSnapshotCommand_1.CreateSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.createTrust = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateTrustCommand_1.CreateTrustCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.deleteConditionalForwarder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteConditionalForwarderCommand_1.DeleteConditionalForwarderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.deleteDirectory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDirectoryCommand_1.DeleteDirectoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.deleteLogSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteLogSubscriptionCommand_1.DeleteLogSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.deleteSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteSnapshotCommand_1.DeleteSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.deleteTrust = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteTrustCommand_1.DeleteTrustCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.deregisterEventTopic = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeregisterEventTopicCommand_1.DeregisterEventTopicCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.describeConditionalForwarders = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeConditionalForwardersCommand_1.DescribeConditionalForwardersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.describeDirectories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDirectoriesCommand_1.DescribeDirectoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.describeDomainControllers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDomainControllersCommand_1.DescribeDomainControllersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.describeEventTopics = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventTopicsCommand_1.DescribeEventTopicsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.describeSharedDirectories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeSharedDirectoriesCommand_1.DescribeSharedDirectoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.describeSnapshots = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeSnapshotsCommand_1.DescribeSnapshotsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.describeTrusts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTrustsCommand_1.DescribeTrustsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.disableRadius = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisableRadiusCommand_1.DisableRadiusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.disableSso = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisableSsoCommand_1.DisableSsoCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.enableRadius = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EnableRadiusCommand_1.EnableRadiusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.enableSso = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EnableSsoCommand_1.EnableSsoCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.getDirectoryLimits = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDirectoryLimitsCommand_1.GetDirectoryLimitsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.getSnapshotLimits = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSnapshotLimitsCommand_1.GetSnapshotLimitsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.listIpRoutes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListIpRoutesCommand_1.ListIpRoutesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.listLogSubscriptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListLogSubscriptionsCommand_1.ListLogSubscriptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.listSchemaExtensions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSchemaExtensionsCommand_1.ListSchemaExtensionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.registerEventTopic = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterEventTopicCommand_1.RegisterEventTopicCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.rejectSharedDirectory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RejectSharedDirectoryCommand_1.RejectSharedDirectoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.removeIpRoutes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveIpRoutesCommand_1.RemoveIpRoutesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.removeTagsFromResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsFromResourceCommand_1.RemoveTagsFromResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.resetUserPassword = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ResetUserPasswordCommand_1.ResetUserPasswordCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.restoreFromSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreFromSnapshotCommand_1.RestoreFromSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.shareDirectory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ShareDirectoryCommand_1.ShareDirectoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.startSchemaExtension = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartSchemaExtensionCommand_1.StartSchemaExtensionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.unshareDirectory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UnshareDirectoryCommand_1.UnshareDirectoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.updateConditionalForwarder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateConditionalForwarderCommand_1.UpdateConditionalForwarderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.updateNumberOfDomainControllers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateNumberOfDomainControllersCommand_1.UpdateNumberOfDomainControllersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.updateRadius = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRadiusCommand_1.UpdateRadiusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.updateTrust = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateTrustCommand_1.UpdateTrustCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DirectoryService.prototype.verifyTrust = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new VerifyTrustCommand_1.VerifyTrustCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return DirectoryService;
}(DirectoryServiceClient_1.DirectoryServiceClient));
exports.DirectoryService = DirectoryService;
//# sourceMappingURL=DirectoryService.js.map