"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateComputer_1 = require("../model/operations/CreateComputer");
var CreateComputerCommand = /** @class */ (function () {
    function CreateComputerCommand(input) {
        this.input = input;
        this.model = CreateComputer_1.CreateComputer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateComputerCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateComputerCommand;
}());
exports.CreateComputerCommand = CreateComputerCommand;
//# sourceMappingURL=CreateComputerCommand.js.map