"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateConditionalForwarder_1 = require("../model/operations/CreateConditionalForwarder");
var CreateConditionalForwarderCommand = /** @class */ (function () {
    function CreateConditionalForwarderCommand(input) {
        this.input = input;
        this.model = CreateConditionalForwarder_1.CreateConditionalForwarder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateConditionalForwarderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateConditionalForwarderCommand;
}());
exports.CreateConditionalForwarderCommand = CreateConditionalForwarderCommand;
//# sourceMappingURL=CreateConditionalForwarderCommand.js.map