"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLogSubscription_1 = require("../model/operations/CreateLogSubscription");
var CreateLogSubscriptionCommand = /** @class */ (function () {
    function CreateLogSubscriptionCommand(input) {
        this.input = input;
        this.model = CreateLogSubscription_1.CreateLogSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLogSubscriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLogSubscriptionCommand;
}());
exports.CreateLogSubscriptionCommand = CreateLogSubscriptionCommand;
//# sourceMappingURL=CreateLogSubscriptionCommand.js.map