"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateTrust_1 = require("../model/operations/CreateTrust");
var CreateTrustCommand = /** @class */ (function () {
    function CreateTrustCommand(input) {
        this.input = input;
        this.model = CreateTrust_1.CreateTrust;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateTrustCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateTrustCommand;
}());
exports.CreateTrustCommand = CreateTrustCommand;
//# sourceMappingURL=CreateTrustCommand.js.map