"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteConditionalForwarder_1 = require("../model/operations/DeleteConditionalForwarder");
var DeleteConditionalForwarderCommand = /** @class */ (function () {
    function DeleteConditionalForwarderCommand(input) {
        this.input = input;
        this.model = DeleteConditionalForwarder_1.DeleteConditionalForwarder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteConditionalForwarderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteConditionalForwarderCommand;
}());
exports.DeleteConditionalForwarderCommand = DeleteConditionalForwarderCommand;
//# sourceMappingURL=DeleteConditionalForwarderCommand.js.map