"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDirectory_1 = require("../model/operations/DeleteDirectory");
var DeleteDirectoryCommand = /** @class */ (function () {
    function DeleteDirectoryCommand(input) {
        this.input = input;
        this.model = DeleteDirectory_1.DeleteDirectory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDirectoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDirectoryCommand;
}());
exports.DeleteDirectoryCommand = DeleteDirectoryCommand;
//# sourceMappingURL=DeleteDirectoryCommand.js.map