"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteLogSubscription_1 = require("../model/operations/DeleteLogSubscription");
var DeleteLogSubscriptionCommand = /** @class */ (function () {
    function DeleteLogSubscriptionCommand(input) {
        this.input = input;
        this.model = DeleteLogSubscription_1.DeleteLogSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteLogSubscriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteLogSubscriptionCommand;
}());
exports.DeleteLogSubscriptionCommand = DeleteLogSubscriptionCommand;
//# sourceMappingURL=DeleteLogSubscriptionCommand.js.map