"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteTrust_1 = require("../model/operations/DeleteTrust");
var DeleteTrustCommand = /** @class */ (function () {
    function DeleteTrustCommand(input) {
        this.input = input;
        this.model = DeleteTrust_1.DeleteTrust;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteTrustCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteTrustCommand;
}());
exports.DeleteTrustCommand = DeleteTrustCommand;
//# sourceMappingURL=DeleteTrustCommand.js.map