"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConditionalForwarders_1 = require("../model/operations/DescribeConditionalForwarders");
var DescribeConditionalForwardersCommand = /** @class */ (function () {
    function DescribeConditionalForwardersCommand(input) {
        this.input = input;
        this.model = DescribeConditionalForwarders_1.DescribeConditionalForwarders;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConditionalForwardersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConditionalForwardersCommand;
}());
exports.DescribeConditionalForwardersCommand = DescribeConditionalForwardersCommand;
//# sourceMappingURL=DescribeConditionalForwardersCommand.js.map