"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeSnapshots_1 = require("../model/operations/DescribeSnapshots");
var DescribeSnapshotsCommand = /** @class */ (function () {
    function DescribeSnapshotsCommand(input) {
        this.input = input;
        this.model = DescribeSnapshots_1.DescribeSnapshots;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeSnapshotsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeSnapshotsCommand;
}());
exports.DescribeSnapshotsCommand = DescribeSnapshotsCommand;
//# sourceMappingURL=DescribeSnapshotsCommand.js.map