"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisableSso_1 = require("../model/operations/DisableSso");
var DisableSsoCommand = /** @class */ (function () {
    function DisableSsoCommand(input) {
        this.input = input;
        this.model = DisableSso_1.DisableSso;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisableSsoCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisableSsoCommand;
}());
exports.DisableSsoCommand = DisableSsoCommand;
//# sourceMappingURL=DisableSsoCommand.js.map