"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListIpRoutes_1 = require("../model/operations/ListIpRoutes");
var ListIpRoutesCommand = /** @class */ (function () {
    function ListIpRoutesCommand(input) {
        this.input = input;
        this.model = ListIpRoutes_1.ListIpRoutes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListIpRoutesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListIpRoutesCommand;
}());
exports.ListIpRoutesCommand = ListIpRoutesCommand;
//# sourceMappingURL=ListIpRoutesCommand.js.map