"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListLogSubscriptions_1 = require("../model/operations/ListLogSubscriptions");
var ListLogSubscriptionsCommand = /** @class */ (function () {
    function ListLogSubscriptionsCommand(input) {
        this.input = input;
        this.model = ListLogSubscriptions_1.ListLogSubscriptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListLogSubscriptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListLogSubscriptionsCommand;
}());
exports.ListLogSubscriptionsCommand = ListLogSubscriptionsCommand;
//# sourceMappingURL=ListLogSubscriptionsCommand.js.map