"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListSchemaExtensions_1 = require("../model/operations/ListSchemaExtensions");
var ListSchemaExtensionsCommand = /** @class */ (function () {
    function ListSchemaExtensionsCommand(input) {
        this.input = input;
        this.model = ListSchemaExtensions_1.ListSchemaExtensions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListSchemaExtensionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListSchemaExtensionsCommand;
}());
exports.ListSchemaExtensionsCommand = ListSchemaExtensionsCommand;
//# sourceMappingURL=ListSchemaExtensionsCommand.js.map