"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterEventTopic_1 = require("../model/operations/RegisterEventTopic");
var RegisterEventTopicCommand = /** @class */ (function () {
    function RegisterEventTopicCommand(input) {
        this.input = input;
        this.model = RegisterEventTopic_1.RegisterEventTopic;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterEventTopicCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterEventTopicCommand;
}());
exports.RegisterEventTopicCommand = RegisterEventTopicCommand;
//# sourceMappingURL=RegisterEventTopicCommand.js.map