"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartSchemaExtension_1 = require("../model/operations/StartSchemaExtension");
var StartSchemaExtensionCommand = /** @class */ (function () {
    function StartSchemaExtensionCommand(input) {
        this.input = input;
        this.model = StartSchemaExtension_1.StartSchemaExtension;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartSchemaExtensionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartSchemaExtensionCommand;
}());
exports.StartSchemaExtensionCommand = StartSchemaExtensionCommand;
//# sourceMappingURL=StartSchemaExtensionCommand.js.map