"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AcceptSharedDirectoryInput_1 = require("../shapes/AcceptSharedDirectoryInput");
var AcceptSharedDirectoryOutput_1 = require("../shapes/AcceptSharedDirectoryOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var DirectoryAlreadySharedException_1 = require("../shapes/DirectoryAlreadySharedException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AcceptSharedDirectory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AcceptSharedDirectory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AcceptSharedDirectoryInput_1.AcceptSharedDirectoryInput
    },
    output: {
        shape: AcceptSharedDirectoryOutput_1.AcceptSharedDirectoryOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: DirectoryAlreadySharedException_1.DirectoryAlreadySharedException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=AcceptSharedDirectory.js.map