"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddIpRoutesInput_1 = require("../shapes/AddIpRoutesInput");
var AddIpRoutesOutput_1 = require("../shapes/AddIpRoutesOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var EntityAlreadyExistsException_1 = require("../shapes/EntityAlreadyExistsException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var IpRouteLimitExceededException_1 = require("../shapes/IpRouteLimitExceededException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddIpRoutes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddIpRoutes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddIpRoutesInput_1.AddIpRoutesInput
    },
    output: {
        shape: AddIpRoutesOutput_1.AddIpRoutesOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: EntityAlreadyExistsException_1.EntityAlreadyExistsException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: IpRouteLimitExceededException_1.IpRouteLimitExceededException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=AddIpRoutes.js.map