"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateAliasInput_1 = require("../shapes/CreateAliasInput");
var CreateAliasOutput_1 = require("../shapes/CreateAliasOutput");
var EntityAlreadyExistsException_1 = require("../shapes/EntityAlreadyExistsException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAlias",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateAliasInput_1.CreateAliasInput
    },
    output: {
        shape: CreateAliasOutput_1.CreateAliasOutput
    },
    errors: [
        {
            shape: EntityAlreadyExistsException_1.EntityAlreadyExistsException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=CreateAlias.js.map