"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateComputerInput_1 = require("../shapes/CreateComputerInput");
var CreateComputerOutput_1 = require("../shapes/CreateComputerOutput");
var AuthenticationFailedException_1 = require("../shapes/AuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EntityAlreadyExistsException_1 = require("../shapes/EntityAlreadyExistsException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateComputer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateComputer",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateComputerInput_1.CreateComputerInput
    },
    output: {
        shape: CreateComputerOutput_1.CreateComputerOutput
    },
    errors: [
        {
            shape: AuthenticationFailedException_1.AuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EntityAlreadyExistsException_1.EntityAlreadyExistsException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=CreateComputer.js.map