"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateConditionalForwarderInput_1 = require("../shapes/CreateConditionalForwarderInput");
var CreateConditionalForwarderOutput_1 = require("../shapes/CreateConditionalForwarderOutput");
var EntityAlreadyExistsException_1 = require("../shapes/EntityAlreadyExistsException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateConditionalForwarder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateConditionalForwarder",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateConditionalForwarderInput_1.CreateConditionalForwarderInput
    },
    output: {
        shape: CreateConditionalForwarderOutput_1.CreateConditionalForwarderOutput
    },
    errors: [
        {
            shape: EntityAlreadyExistsException_1.EntityAlreadyExistsException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=CreateConditionalForwarder.js.map