"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateSnapshotInput_1 = require("../shapes/CreateSnapshotInput");
var CreateSnapshotOutput_1 = require("../shapes/CreateSnapshotOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var SnapshotLimitExceededException_1 = require("../shapes/SnapshotLimitExceededException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateSnapshotInput_1.CreateSnapshotInput
    },
    output: {
        shape: CreateSnapshotOutput_1.CreateSnapshotOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: SnapshotLimitExceededException_1.SnapshotLimitExceededException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=CreateSnapshot.js.map