"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateTrustInput_1 = require("../shapes/CreateTrustInput");
var CreateTrustOutput_1 = require("../shapes/CreateTrustOutput");
var EntityAlreadyExistsException_1 = require("../shapes/EntityAlreadyExistsException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateTrust = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateTrust",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateTrustInput_1.CreateTrustInput
    },
    output: {
        shape: CreateTrustOutput_1.CreateTrustOutput
    },
    errors: [
        {
            shape: EntityAlreadyExistsException_1.EntityAlreadyExistsException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=CreateTrust.js.map