"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteConditionalForwarderInput_1 = require("../shapes/DeleteConditionalForwarderInput");
var DeleteConditionalForwarderOutput_1 = require("../shapes/DeleteConditionalForwarderOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteConditionalForwarder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteConditionalForwarder",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteConditionalForwarderInput_1.DeleteConditionalForwarderInput
    },
    output: {
        shape: DeleteConditionalForwarderOutput_1.DeleteConditionalForwarderOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=DeleteConditionalForwarder.js.map