"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteTrustInput_1 = require("../shapes/DeleteTrustInput");
var DeleteTrustOutput_1 = require("../shapes/DeleteTrustOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteTrust = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteTrust",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteTrustInput_1.DeleteTrustInput
    },
    output: {
        shape: DeleteTrustOutput_1.DeleteTrustOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=DeleteTrust.js.map