"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EnableRadiusInput_1 = require("../shapes/EnableRadiusInput");
var EnableRadiusOutput_1 = require("../shapes/EnableRadiusOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var EntityAlreadyExistsException_1 = require("../shapes/EntityAlreadyExistsException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.EnableRadius = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "EnableRadius",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: EnableRadiusInput_1.EnableRadiusInput
    },
    output: {
        shape: EnableRadiusOutput_1.EnableRadiusOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: EntityAlreadyExistsException_1.EntityAlreadyExistsException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=EnableRadius.js.map