"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartSchemaExtensionInput_1 = require("../shapes/StartSchemaExtensionInput");
var StartSchemaExtensionOutput_1 = require("../shapes/StartSchemaExtensionOutput");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var SnapshotLimitExceededException_1 = require("../shapes/SnapshotLimitExceededException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartSchemaExtension = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartSchemaExtension",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartSchemaExtensionInput_1.StartSchemaExtensionInput
    },
    output: {
        shape: StartSchemaExtensionOutput_1.StartSchemaExtensionOutput
    },
    errors: [
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: SnapshotLimitExceededException_1.SnapshotLimitExceededException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=StartSchemaExtension.js.map