"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UnshareDirectoryInput_1 = require("../shapes/UnshareDirectoryInput");
var UnshareDirectoryOutput_1 = require("../shapes/UnshareDirectoryOutput");
var EntityDoesNotExistException_1 = require("../shapes/EntityDoesNotExistException");
var InvalidTargetException_1 = require("../shapes/InvalidTargetException");
var DirectoryNotSharedException_1 = require("../shapes/DirectoryNotSharedException");
var ClientException_1 = require("../shapes/ClientException");
var ServiceException_1 = require("../shapes/ServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UnshareDirectory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UnshareDirectory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UnshareDirectoryInput_1.UnshareDirectoryInput
    },
    output: {
        shape: UnshareDirectoryOutput_1.UnshareDirectoryOutput
    },
    errors: [
        {
            shape: EntityDoesNotExistException_1.EntityDoesNotExistException
        },
        {
            shape: InvalidTargetException_1.InvalidTargetException
        },
        {
            shape: DirectoryNotSharedException_1.DirectoryNotSharedException
        },
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServiceException_1.ServiceException
        }
    ]
};
//# sourceMappingURL=UnshareDirectory.js.map