"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Servers_1 = require("./_Servers");
exports._RadiusSettings = {
    type: "structure",
    required: [],
    members: {
        RadiusServers: {
            shape: _Servers_1._Servers
        },
        RadiusPort: {
            shape: {
                type: "integer",
                min: 1025
            }
        },
        RadiusTimeout: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        RadiusRetries: {
            shape: {
                type: "integer"
            }
        },
        SharedSecret: {
            shape: {
                type: "string",
                sensitive: true,
                min: 8
            }
        },
        AuthenticationProtocol: {
            shape: {
                type: "string"
            }
        },
        DisplayLabel: {
            shape: {
                type: "string",
                min: 1
            }
        },
        UseSameUsername: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_RadiusSettings.js.map