import { BrowserHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * DescribeSharedDirectoriesInput shape
 */
export interface DescribeSharedDirectoriesInput {
    /**
     * <p>Returns the identifier of the directory in the directory owner account. </p>
     */
    OwnerDirectoryId: string;
    /**
     * <p>A list of identifiers of all shared directories in your account. </p>
     */
    SharedDirectoryIds?: Array<string> | Iterable<string>;
    /**
     * <p>The <code>DescribeSharedDirectoriesResult.NextToken</code> value from a previous call to <a>DescribeSharedDirectories</a>. Pass null if this is the first call. </p>
     */
    NextToken?: string;
    /**
     * <p>The number of shared directories to return in the response object.</p>
     */
    Limit?: number;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
